/*
FacebookAlbumDemo - Example of how to display Facebook albums in an Android application
Copyright (C) 2010-2011 Hugues Johnson

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
 */

package com.huguesjohnson.facebookalbumdemo;

import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URI;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.entity.BufferedHttpEntity;
import org.apache.http.impl.client.DefaultHttpClient;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

public abstract class HttpFetch{
	//see - http://stackoverflow.com/questions/4414839/bitmapfactory-decodestream-returns-null-without-exception
	public static InputStream fetch(String address) throws MalformedURLException,IOException{
	    HttpGet httpRequest=new HttpGet(URI.create(address));
	    HttpClient httpclient=new DefaultHttpClient();
	    HttpResponse response=(HttpResponse)httpclient.execute(httpRequest);
	    HttpEntity entity=response.getEntity();
	    BufferedHttpEntity bufHttpEntity=new BufferedHttpEntity(entity);
	    InputStream instream=bufHttpEntity.getContent();
	    return(instream);
	}
	
	public static Bitmap fetchBitmap(String imageAddress) throws MalformedURLException,IOException{
		return(BitmapFactory.decodeStream(fetch(imageAddress)));
	}
}
